<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Homework_5 New User</title>
</head>
<body>
<script>
   function creatNewUser() {
   const newUser = {
       firstName: prompt("Enter your first name, please"),
       lastName: prompt("Enter your last name, please"),
       birthday: prompt("enter your birthday here in format DD.MM.YYYY, please"),
       getAge: function gateAge(birthday) {
           let dates = this.birthday.split(".");
           let d = new Date();

           let newUserday = dates[0];
           let newUsermonth = dates[1];
           let newUseryear = dates[2];

           let curDay = d.getDate();
           let curMonth = d.getMonth()+1;
           let curYear = d.getFullYear();

           let userAge = curYear - newUseryear;

           if((curMonth < newUsermonth) || ( (curMonth == newUsermonth) && curDay < newUserday   )){

               userAge--;

           }

           return userAge;
       },
       getLogin: function getLogin() {
           return (this.firstName[0] + this.lastName).toLowerCase();
       },
       getPassword: function getPassword() {
           return (this.firstName[0] + this.lastName[0]).toUpperCase() + this.lastName.slice(1) + this.birthday.slice(6);
       }

   };
   return (console.log(newUser, `
   log-in: `, newUser.getLogin(), `
    Age: ` +[newUser.getAge()]+ ` years `, `
     Password: `, newUser.getPassword()))
   }
   creatNewUser();
   let firstUser = creatNewUser();
   let secondUser = creatNewUser();
   console.log(firstUser, secondUser);
</script>
</body>
</html>
<!--Екранування використовується для того, щоб можна було записати спецсимвол в рядок, за допомогою "екранування" комп'ютор розуміє, що це не просто v, а спецсимвол-->